using System;
using System.Media;

namespace WorldOfPeacecraft
{
	public class Music
	{
		private static string musicpath = "./music/";
		private static string soundpath = "./sounds/";
		private SoundPlayer overworldplayer = new SoundPlayer(musicpath + "overworld.wav");
		private SoundPlayer minigameplayer = new SoundPlayer(musicpath + "minigame.wav");
		private SoundPlayer splashscreenplayer = new SoundPlayer (soundpath + "splashscreen.wav");
		private SoundPlayer walkplayer = new SoundPlayer(soundpath + "step.wav");
		public Music ()
		{

		}
		public void Playmusic (string sound){
			if (sound == "overworld")
				overworldplayer.PlayLooping ();
			if (sound == "minigame")
				minigameplayer.PlayLooping ();
			if (sound == "splashscreen")
				splashscreenplayer.PlaySync ();
			if (sound == "walk")
				walkplayer.Play ();
		}
	}
}

